require 'spec_helper'
require 'rack/test'
require 'rack'

def with_tcell_middleware(app, _inner_middleware = nil)
  TCellAgent::Instrumentation::Rails::Middleware::ContextMiddleware.new(
    TCellAgent::Instrumentation::Rails::Middleware::HeadersMiddleware.new(
      ActionDispatch::ParamsParser.new(
        TCellAgent::Instrumentation::Rails::Middleware::BodyFilterMiddleware.new(
          TCellAgent::Instrumentation::Rails::Middleware::GlobalMiddleware.new(
            app
          )
        )
      )
    )
  )
end
